arts-trinity (4:14.1.0~r204-0debian6.0.0+pr31) squeeze; urgency=medium

  * Automated git build for abd2beeb93ce33b4db88a47a982b55e47e190675

 -- Automated System <kb9vqf@pearsoncomputing.net>  Tue, 02 Apr 2019 15:38:12 -0500

arts-trinity (1.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Fixed conflicts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Nov 2008 13:20:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid3) intrepid; urgency=low

  * Altered prefix for Trinity.5

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 20 Nov 2008 17:48:45 -0600

arts (1.5.10-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 21 Aug 2008 16:04:08 +0200

arts (1.5.9-2ubuntu3) intrepid; urgency=low

  * Add kubuntu_01_fix_build.diff from Steve Langasek, fixes build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 19:11:03 +0100

arts (1.5.9-2ubuntu2) intrepid; urgency=low

  * Change libarts1-akode from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 16:32:27 +0100

arts (1.5.9-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - No jack build-dep
    - No libmad build-dep
    - libarts1-dev not depend on jack or libmad
  * debian/control: Remove oss-compat dependency from libarts1c2a as it is in
    universe.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 03 Jun 2008 11:49:39 +1000

arts (1.5.9-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:
 
  * Bump shlibs to 1.5.9.
  * Conflict with automake-dirty tdelibs4c2a (Closes: #473375).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Mar 2008 14:23:49 +0300

arts (1.5.9-1lenny1) testing-proposed-updates; urgency=low

  * Disable 01_admin_cleanup.diff and 97_automake_cleanup.diff patches
  * Rebuild 98_buildprep.diff
  * Going to t-p-u to fix breakage in testing as tdelibs is not going into
    testing anytime soon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Mar 2008 13:30:01 +0200

arts (1.5.9-1) unstable; urgency=low

  * New upstream release:
    - Update to build with GCC 4.3 (Closes: #454821)
  * Add Vcs-Browser and Vcs-Svn fields.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version 3.7.3:
    - Replace Source-Version for proper variables.
  * Some updates in the copyright file.

  +++ Changes by Fathi Boudra:

  * Add oss-compat dependency to libarts1c2a. (Closes: #386582)
  * Add artsdsp manpage. (Closes: #405159)
  * Add patches:
    - 12_cleanup_artsc-config. (Closes: #375803)
      Remove spurious dependencies in the output of artsc-config.
    - 13_check_tmp_dir. (Closes: #415154)
      Create tmp_dir if non existent.
    - 14_remove_config.h_headers. (Closes: #428987)
      Do not include config.h in shipped header files.
    - 15_no_warning. Merged from Ubuntu.
      Do not show null device warning.
      kmix makes it obvious if sound isn't working.
  
  +++ Changes by Modestas Vainius:
  
  * Add automake cleanup patches: 01_admin_cleanup.diff and
    97_automake_cleanup.diff
  * Disable -Wl,--as-needed for the moment.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Feb 2008 21:12:44 +0200

arts (1.5.9-0ubuntu2) hardy; urgency=low

  * Patch to fix the issue reported in RedHat bugzilla bug #169631 to create
    a temp dir if it doesn't exist. (LP: #55973)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 12 Mar 2008 21:11:56 +1100

arts (1.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:26:34 +0000

arts (1.5.8-1ubuntu2) hardy; urgency=low

  * Fix build errors with g++-4.3, dropped with upload of the new
    upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:44:31 +0000

arts (1.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - No jack build-dep
   - No libmad build-dep
   - kubuntu_01_no_warning.diff
   - libarts1-dev not depend on jack or libmad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Nov 2007 03:22:30 +0000

arts (1.5.8-1) unstable; urgency=low

  * New upstream release:
    - Remove patch: 12_qtmcop_notifications_on_demand, merged upstream.
  * Implement use of uploaders.mk

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Oct 2007 20:56:17 +0200

arts (1.5.7-2) unstable; urgency=low

  +++ Fathi Boudra:

  * Apply patch from Matthias Kretz to reduce power usage.
  * Add myself to uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 May 2007 14:27:42 +0200

arts (1.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 09 Oct 2007 09:35:48 +0100

arts (1.5.7-1ubuntu3) gutsy; urgency=low

  * Fix build errors with g++-4.3. LP: #138556.
  * Work around redefinition of glib macros.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 22:42:06 +0000

arts (1.5.7-1ubuntu2) gutsy; urgency=low

  * kubuntu_01_qtmcop_notifications_on_demand.diff: include patch from
    Matthias Kretz to reduce number of knotify wake-ups (from 20/sec to
    1/sec). Should reduce power usage for idle system.

 -- Luka Renko <lure@ubuntu.com>  Sat, 26 May 2007 22:16:37 +0200

arts (1.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-CHANGES

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 21 May 2007 12:09:06 +1000

arts (1.5.7-1) unstable; urgency=low

  * New upstream release:
    - Includes patch to fix FTBFS with GCC 4.3. (Closes: #417107)
  
  +++ Ana Beatriz Guerrero Lopez:
  
  * Apply patch to fix FTBFS on hurd-i386 because of PATH_MAX. Thanks to
    Samuel Thibault. (Closes: #407756)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 May 2007 01:56:56 +0100

arts (1.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 17:29:17 +0100

arts (1.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Apr 2007 13:19:02 +0100

arts (1.5.6-1) experimental; urgency=low

  * New upstream release (no code changes).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 13:44:12 +0100

arts (1.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:28 +0000

arts (1.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Diff from Debian in KUBUNTU-DEBIAN-CHANGES
  * Build with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 01:01:46 +0000

arts (1.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue,  3 Oct 2006 22:59:03 +0200

arts (1.5.4-1) unstable; urgency=low

  [ Debian Qt/KDE Maintainers ]

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Jul 2006 10:47:05 +0200

arts (1.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jul 2006 10:12:03 +0000

arts (1.5.3-2ubuntu2) edgy; urgency=low

  * Build-dep on latest Qt, fix binary compatibility break

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jun 2006 16:15:39 +0000

arts (1.5.3-2ubuntu1) edgy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Jun 2006 15:42:16 +0000

arts (1.5.3-2) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Pull in fixes from the branch; arts code changes are so rare that it would
    be a shame not to ensure that they make Etch.

  * Retroactive edit: includes fix for CVE-2006-2916. (Bug#374003)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri,  9 Jun 2006 12:01:59 -0400

arts (1.5.3-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pierre Habouzit:

  * Update debian/control for new kfreebsd-amd64 port. (Closes: #361486)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 24 May 2006 10:48:33 +0200

arts (1.5.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 24 Mar 2006 19:11:49 -0500

arts (1.5.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 Jan 2006 18:21:34 -0500

arts (1.5.0-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * No longer build with gcc-3.4 on any architectures, since gcc-4.0 should
    be fixed. (Closes: #342955)

  +++ Changes by Adeodato Simó:

  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri,  6 Jan 2006 14:01:35 +0100

arts (1.5.0-2) experimental; urgency=low

  * Upload to experimental.

  * Grab a minor aliasing fix from KDE_3_5_BRANCH.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2005 12:23:01 -0500

arts (1.5.0-1) alioth; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:
  
  * Bump DH_COMPAT to 5. No changes.

  * Add arts-dbg, to help trace problems.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 Nov 2005 14:09:04 -0500

arts (1.4.3-3) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * Do build with g++-3.4 on arm, m68k and hppa, now that #323133 is reopened.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Nov 2005 17:44:33 +0100

arts (1.4.3-2) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * libstdc++ allocator transition: rename libarts1c2 to libarts1c2a.
    (Closes: #339150)

  * Do not build with g++-3.4 on arm, m68k and hppa, now that #323133 is fixed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 17 Nov 2005 14:41:02 +0100

arts (1.4.3-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Oct 2005 13:45:44 -0400

arts (1.4.2-5) unstable; urgency=medium

  * Rebuild with the latest gcc-4.0. Rebuilding tdebase with the latest
    gcc-4.0/libstdc++ resulted in symbols added and removed (despite no code
    changes) when compared to the previous tdebase upload. This causes crashes
    when run in conjunction with arts packages that have not been built with
    the latest gcc-4.0/libstdc++.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Oct 2005 10:35:46 -0400

arts (1.4.2-4) unstable; urgency=low

  +++ Changes by Luk Claes:

  * Use g++-3.4 on hppa since 4.0 ICEs:
    + debian/control: add hppa to Build-Depends on g++-3.4.
    + debian/rules: set and export CC, CXX and CPP on hppa.

  * Add me to uploaders

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 24 Aug 2005 18:40:14 +0200

arts (1.4.2-3) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * Use g++-3.4 on arm and m68k since 4.0 ICEs there (#323133):
    + debian/control: Build-Depend on g++-3.4 [arm m68k].
    + debian/rules: set and export CC, CXX and CPP on those two arches.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Aug 2005 02:22:08 +0200

arts (1.4.2-2) unstable; urgency=low

  +++ Changes by Isaac Clerencia:

  * Add epoch to depends and build-depends on libqt3-mt-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 14 Aug 2005 20:35:00 +0200

arts (1.4.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * GCC 4.0 transition: libarts1 becomes libarts1c2. Tighten build-depends on
    libqt3-mt-dev to ensure that we build against a similarly transitioned
    package.

  * We no longer ship useless template manpages. (Closes: #315873)

  +++ Changes by Adeodato Simó:

  * Remove obsolete conflicts/replaces relationships against packages/versions
    not present in Sarge.

  * Apply patch from Aurelien Jarno for GNU/kFreeBSD support. (Closes: #263536)
    Adapted it to the new cdbs-ized debian/rules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 12 Aug 2005 01:26:23 +0200

arts (1.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 31 May 2005 15:43:52 -0400

arts (1.4.0-0pre2) alioth; urgency=low

  * New upstream release.

  * Converted packaging to CDBS (initial version by Daniel Schepler, further
    changes by Christopher Martin and Adeodato Simó).

  +++ Changes by Pierre Habouzit:

  * Rework debian/control, for libarts1 and arts packages (closes: #266961).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 18 Mar 2005 18:10:19 +0100

arts (1.3.2-4) unstable; urgency=high

  +++ Changes by Adeodato Simó:

  * Upload triggered by the jack transition.

  * debian/control:
    + Build-Depend on libjack0.100.0-dev instead of libjack0.80.0-dev.
    + same change for the dependencies of libarts1-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 02 Jul 2005 02:34:25 +0200

arts (1.3.2-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Fix debian/copyright to refer to License rather than to Copyright
    when discussing KDE's licenses.

  * Christopher Cheney has kindly relicensed man pages written by him from
    GDFL to GPL.

  +++ Changes by Adeodato Simó:

  * Compile static libraries, and ship them in libarts1-dev and libartsc0-dev.
    (Closes: #291774)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 Apr 2005 12:19:49 +0200

arts (1.3.2-2) unstable; urgency=medium

  * No code changes, so urgency medium to get this into Sarge.
  * Strengthen Suggests on akode to Recommends. (Closes: #284649)
  * Removed build-dep on automake1.9.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Wed,  5 Jan 2005 11:48:16 -0500

arts (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * No longer set suid on artswrapper. Works around a 2.4 kernel lockup bug,
    but disables realtime priority. Added a README.Debian, explaining the
    change and how to cope with it, and reverse it.
    (Closes: #266760)
  * Add Suggests on akode, which often suffices in place of realtime priority.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Mon,  6 Dec 2004 12:26:16 -0500

arts (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 13 Oct 2004 14:45:00 -0500

arts (1.3.0-1) unstable; urgency=high

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 13 Aug 2004 16:30:00 -0500

arts (1.2.3-1) unstable; urgency=high

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue,  1 Jun 2004 15:30:00 -0500

arts (1.2.2-2) unstable; urgency=high

  * Updated to current ARTS_1_2_BRANCH.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 25 May 2004 15:00:00 -0500

arts (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Removed libarts1-dev Depends: xlibs-static-pic. (Closes: #240188)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  5 Apr 2004 17:00:00 -0500

arts (1.2.1-2) unstable; urgency=high

  * Added libartsc0-dev Depends: libglib2.0-dev. (Closes: #236242)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 22 Mar 2004 03:00:00 -0600

arts (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue,  2 Mar 2004 01:00:00 -0600

arts (1.2.0-0pre1v1) experimental; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 16 Feb 2004 17:00:00 -0600

arts (1.1.95-1) unstable; urgency=low

  * New upstream release.
  * Build-Conflicts libmas-dev since it doesn't build correctly.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 19 Jan 2004 02:30:00 -0600

arts (1.1.5-2) unstable; urgency=low

  * Added libtool arm patch. (Closes: #227007)

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 10 Jan 2004 03:30:00 -0600

arts (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  9 Jan 2004 17:30:00 -0600

arts (1.1.4-3) unstable; urgency=low

  * Reorganize libartsc0 so that packages built against it don't depend on
    libarts1.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  2 Nov 2003 17:00:00 -0600

arts (1.1.4-2) unstable; urgency=low

  * Added patch to update autotools files. (Closes: #213295)
  * Added patch to remove pedantic-errors from KDE_CHECK_FUNC_EXT since it
    causes configure checks to fail due to #line numbers being > 32767.

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  3 Oct 2003 20:00:00 -0500

arts (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 26 Sep 2003 18:00:00 -0500

arts (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Added tdelibs3 to libartsc0-dev conflicts. (Closes: #195412)

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 29 Jul 2003 11:00:00 -0500

arts (1.1.2-1) unstable; urgency=low

  * New upstream release. (Closes: #193503)
  * Switch back to old rules file, will probably use build-common in future.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 15 May 2003 14:00:00 -0500

arts (1.1.1-2) unstable; urgency=low

  * Convert to cbs rules.
  * Make artswrapper suid to support RT priority. (Closes: #184077)

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 12 Apr 2003 02:00:00 -0500

arts (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 11 Mar 2003 18:00:00 -0600

arts (1.1.0-3) unstable; urgency=low

  * New ARTS_1_1_BRANCH pull, fixes compile problem. (Closes: #181332)

 -- Christopher L Cheney <ccheney@debian.org>  Thu,  6 Mar 2003 22:00:00 -0600

arts (1.1.0-2) unstable; urgency=low

  * Add 'chmod +x configure' to rules.

 -- Christopher L Cheney <ccheney@debian.org>  Wed,  5 Feb 2003 11:00:00 -0600

arts (1.1.0-1) unstable; urgency=low

  * Initial Release.
  * Split out of tdelibs source.
  * Thanks to Daniel Stone (daniel@sfarc.net) and David "dpash" Pashley
    (david@davidpashley.com) for their initial work on this.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 31 Jan 2003 21:00:00 -0600

